<?php
	
	class Container extends Structure {
		
		function __construct() {
			
			parent::__construct( realpath( __FILE__ ) . "", $this->get_container_replacements() );
			
		}
		
		protected function get_container_replacements() {
			
			global $post;
			$container_replacements = array(
				'CLASS'			=> get_classes( array( 'content_container', 'has_image' ) ),
				'IMAGE'			=> get_the_post_thumbnail_url( $post->ID, 'full' ),
				'HEADLINE'		=> $post->post_title,
				'HEADLINE_TAG'		=> 'h3',
				'CONTENT'		=> $post->post_excerpt
			);
			
			$container_replacements = apply_filters( 'edit_container_replacements', $container_replacements );
			
			return $container_replacements;
			
		}
		
		protected function get_container_structure() {
			
			$structure = $this->get_container_structure_from_file();
			if( !empty( $structure ) ) {
				
				return $structure;
				
			}
			
			$structure = apply_filters( 'edit_container_structure', $structure );
			
			return $structure;
			
		}
		
	}
	
?>
