<?php
	
	/*
		Die nachfolgende Klasse wird im Beitrag https://www.codepalm.de/post/atomare-webseiten-struktur-mit-html-und-php/ detailliert erklärt.
	*/

	class Container extends Structure {
		
		private $container_attributes;

		function __construct( $container_attributes ) {
			
			$this->container_attributes = $container_attributes;

			// "ABSPATH" wird in der index.php im Root-Verzeichnis definiert. Du kannst natürlich auch den kompletten Pfad angeben, oder den ABSPATH anders lösen.
			parent::__construct( ABSPATH . '/structures/ContainerStructure.html', $this->get_container_replacements() );
			
		}
		
		protected function get_container_replacements() {
			
			$container_classes = array_merge(
				array( 'content_container', 'has_image' ),				// Standard-Klassen, die immer für dieses Element gesetzt werden
				$this->container_attributes[ 'additional_classes' ]		// Zusätzliche Klassen, die pro Element im Konstruktor definiert werden können
			);

			$container_replacements = array(
				'CLASS'			=> $this->get_classes( $container_classes ),
				'IMAGE'			=> $this->container_attributes[ 'image' ],
				'HEADLINE'		=> $this->container_attributes[ 'title' ],
				'HEADLINE_TAG'	=> $this->container_attributes[ 'title_tag' ],
				'CONTENT'		=> $this->container_attributes[ 'excerpt' ]
			);
			
			return $container_replacements;
			
		}
		
		protected function get_container_structure() {
			
			$structure = $this->get_container_structure_from_file();
			if( !empty( $structure ) ) {
				
				return $structure;
				
			}
			
			return $structure;
			
		}
		
	}
	
?>
